 *{
    margin: 0;
    padding: 0;
    cursor: default;
}

:root {
    --primary-bg-color: #1d3261;
    --secondary-bg-color: #a0c4e6;
    --theme-gray-bg-color: #ebedef;

    --light-theme-bg-color: #e9f2f9;
    --theme-button-bg-color: #eb6c4b;


    --theme-font-wt: 220;
    --theme-header-font-wt: 700;
    --small-btn-font-size: 1rem;

    --menu-font-wt: 400;
    --theme-span-font-wt:500;
}

.orange {
    background-color:#eb6c4b;
}

p {
    font-weight: var(--theme-font-wt);
}

h1,
h2,
h3 {
    font-weight: var(--theme-header-font-wt);
}

a {
    text-decoration: none;
    color: var(--light-theme-bg-color);
}

span {
    font-weight: var(--theme-span-font-wt);
}

/*=== Nav Bar Style===*/
.container-fluid {
    padding: 0 30px;
}

.nav-item {
    margin-left: 8px;
    font-weight: var(--menu-font-wt);
    cursor: pointer;
}

.nav-link {
    cursor: pointer;
}

.btn-outline-success {
    margin-right: 5px;
    font-size: var(--small-btn-font-size);
    border: solid 1px var(--primary-bg-color);
    color: var(--primary-bg-color);
}

.btn-outline-success:hover {
    background-color: var(--primary-bg-color);
}

.btn-success {
    font-size: var(--small-btn-font-size);
    background-color: var(--primary-bg-color);
    border: solid 1px var(--primary-bg-color);
}

.btn-success:hover {
    background-color: var(--primary-bg-color);
}


.form-group {
    display: none;
    flex-direction: column;
    position: fixed;
    width: 300px;
    top: 70px;
    right: 20px;
    z-index: 99999;
    padding: 20px;
    background-color: var(--theme-button-bg-color);
}

.form-group .form-control {
    margin-bottom: 5px;
    border: none;
}

.form-group.active {
    display: flex;
}

.search .register a {
    text-decoration: none;
    color: var(--primary-bg-color);
}


/*=== End Nav Bar Style===*/

/*=== Social Style===*/

.social-container {
    position: fixed;
    top: 200px;
    z-index: 9;
    width: 110px;
}

.social-container i {
    font-size: 25px;
    padding: 5px 8px;
    color: #fff;
    cursor: pointer;
}

.facebook{
    background-color: #4267B2;
    border-radius: 0 10px 0 0;
    display: block;
    width: 40px;
}

.facebook:hover {
    width: 100%;
    transition: ease-in-out .3s;
}

.twitter {
    background-color: #00acee;
    width: 40px;
}

.twitter:hover {
    width: 100%;
    transition: ease-in-out .3s;
}

.github {
    background-color: #916363;
    width: 40px;
}

.github:hover {
    width: 100%;
    transition: ease-in-out .3s;
}

.whatsapp {
    background-color: #25D366;
    width: 40px;
}

.whatsapp:hover {
    width: 100%;
    transition: ease-in-out .3s;
}

.mail {
    background-color: #5d5f5f;
    width: 40px;
}

.mail:hover {
    width: 100%;
    transition: ease-in-out .3s;
}

.linkedin {
    background-color: #0072b1;
    border-radius: 0 0 10px 0;
    width: 40px;
}

.linkedin:hover {
    width: 100%;
    transition: ease-in-out .3s;
}


@media (max-width:900px) {
    
    .social-container {
    display: none;
    position: fixed;
    top: 200px;
    z-index: 9;
    width: 110px;
}
}

/*=== End Social Style===*/

/*=== Back to top button Style===*/
.back-to-top {
    display: none;
    width: 50px;
    height: 50px;
    position: fixed;
    bottom: 20px;
    right: 20px;
    background-color: var(--theme-button-bg-color);
    align-content: center;
    cursor: pointer;
    z-index: 99;
}

.back-to-top:hover {
    background-color: var(--primary-bg-color);
    border: 1px solid #e9f2f9;
}

.back-to-top i {
    position: absolute;
    color: var(--light-theme-bg-color);
    font-weight: 700;
    font-size: 26px;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}

/*=== End Back to top button Style===*/

/*=== Hero Style===*/
.hero {
    display: grid;
    background: rgb(78,150,194);
    /*background: linear-gradient(17deg, rgba(78,150,194,1) 17%, rgba(51,219,224,1) 66%, rgba(83,168,195,0.8688068977591037) 100%);*/
    background-image: linear-gradient(to top, #fff1eb 0%, #ace0f9 100%);
}

@media (min-width:900px) {
    .hero {
        display: grid;
        grid-template-columns: 1fr 1fr;
    }

    .slider-img {
        background: url(images/home_hero.png) no-repeat center center/cover;
        height: 500px;
        overflow: hidden;
        padding-top:20px;
    }
    
}

.slider-text {
   display: flex;
   flex-direction: column;
   justify-content: center;
   align-items: left;
   padding: 0 20px 0 70px;
   height: 500px;
}

.slider-img {
    background: url(images/home_hero.png) no-repeat center center/cover;
    height: 500px;
    overflow: hidden;
    padding-top:20px;
}


.slider-img img{
    width: 100%;
}

.auto-typed {
  color: var(--primary-bg-color);
}
/*=== End Hero Style===*/

/*=== Accolades===*/
.accolades {
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-wrap: wrap;
    margin: 30px 10px;

}

.accolade-box {
    width: 220px;
    padding: 10px;
    border-radius: 10px;
    margin-right: 20px;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    position: relative;
    overflow: hidden;
}

.accolade-box::before {
    content: " ";
    position: absolute;
    bottom: 0;
    left: 0;
    height: 3%;
    width: 100%;
    background: rgb(254,233,73);
    background: linear-gradient(17deg, rgba(254,233,73,1) 17%, rgba(252,129,34,1) 66%, rgba(255,166,82,0.8688068977591037) 100%);
    background-color: #eb6c4b;
    z-index: -1;
    transition: .2s ease-in-out;
}

.accolade-box:hover::before {
    height: 100%;
    transition: .3s ease-in-out;
}

@media (max-width:900px) {
    .accolade-box {
        width: 80%;
        padding: 10px;
        border-radius: 10px;
        box-shadow: 0 1px 2px;
        margin-bottom: 30px;
        display: flex;
        flex-direction: column;
        align-items: center;
        justify-content: center;
    } 

    .accolade-box:first-child {
        background-color: var(--primary-bg-color);
        color: var(--light-theme-bg-color);
        margin-right: 30px;
    }
}

.accolade-box:first-child {
    background-color: var(--primary-bg-color);
    color: var(--light-theme-bg-color);
    transform: scale(1.2);
    margin-right: 30px;
}

.accolade-box:last-child {
    color: var(--primary-bg-color);
    transform: scale(1.1);
    margin-left: 9px;
}
/*=== End Accolades===*/

/*=== service===*/
.service {
    width:100%;
    display: flex;
    flex-wrap: wrap;
    padding: 50px;
    justify-content: center;
}

.service-description {
    padding: 50px;
    display: flex;
    flex-direction: column;
    justify-content: center;
    width: 50%;
    line-height: 1.7rem;
}

.service-image {
    padding: 50px;
    width: 500px;
}

@media (max-width:900px) {
    .service {
        width:95%;
        padding:50px 10px;
        display: flex;
        justify-content: center;
        align-items: center;
    }

    .service-description {
        width:95%;
        padding:2px;
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
    } 
    
    
    .service-reverse {
        flex-direction: column-reverse;
    }
    
    .service-image {
       width: 300px;
       padding: 2px;
}

.service-description-content p {
    text-align:center;
}

.service-description-header h1 {
     text-align:center;
}

}


/*=== End Service===*/

/*=== Become a Programmer===*/

.courses {
    padding: 50px;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    background-color: var(--secondary-bg-color);
}

.courses .courses-header {
    color: var(--light-theme-bg-color);
    padding: 0 0 20px 0;
}

.course-excerpt {
    padding: 0 30px 20px 30px;
    font-weight: var(--theme-span-font-wt);
    text-align: center;
}

.courses .courses-body {
    display: grid;
    gap: 1.5rem;
}


@media (min-width: 1023px) {
    .courses .courses-body {
        display: grid;
        grid-template-columns: 1fr 1fr 1fr;
        gap: 1.5rem;
    }
    
}

.card {
    width: 20rem;
    overflow: hidden;
}

@media (max-width:1023px) {
    .card {
        width: 90%;
        overflow: hidden;
    }
}

.card-img-top {
    height: 150px;
}

.card-img-top:hover {
    transform: scale(1.1);
    transition: .5s ease-in-out;
}

.btn-primary {
    background-color: var(--primary-bg-color);
    border: none;
}

.btn-primary:hover {
    background-color: var(--theme-button-bg-color);

}



/*=== End Become a Programmer===*/

/*=== Footer===*/
footer {
    background-color: var(--primary-bg-color);
    padding: 50px 50px 20px 50px;
}

.footers {
    display: grid;
    gap: 1rem;
    color: var(--light-theme-bg-color);
    border-bottom:.5px solid var(--light-theme-bg-color);
    padding-bottom: 30px;
    list-style: none;
    line-height: 1.8rem;
    font-weight: var(--theme-font-wt);
}

@media (min-width:1023px) {
    .footers {
        display: grid;
        grid-template-columns: 1fr 1fr 1fr 1fr;
        gap: 1rem;
        color: var(--light-theme-bg-color);
        border-bottom:.5px solid var(--light-theme-bg-color);
        padding-bottom: 30px;
        list-style: none;
        line-height: 1.8rem;
        font-weight: var(--theme-font-wt);
    } 
}


.footers-copyright {
    color: var(--light-theme-bg-color);
    display: flex;
    justify-content: center;
    align-items: center;
    padding-top: 30px;
    font-size: 12px;
}

.footers-text li {
    padding: 3px 0;
    cursor: pointer;
}

.footers-text li::after {
    content: " ";
    border-bottom: 2px solid #00acee;
    width: 0;
    display: block;
}

.footers-text li:hover::after {
    content: " ";
    border-bottom: 2px solid #00acee;
    width: 60%;
    display: block;
    transition: .5s ease-in-out;
}


.footer-social:hover {
    color: #fbaa0d;
    cursor: pointer;

}

.contact-card {
    padding: 10px 0;
}

.contact-card .ceo-info-holder {
    display: flex;
    justify-content: left;
    align-items: center;
}

.contact-card .ceo-image {
    overflow: hidden;
    margin-right: 10px;
}

.contact-card .ceo-image img {
    width: 60px;
    border-radius: 50%;
}
/*=== End Footer===*/


/*=== About us page styling===*/

.page-header {
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 30px;
    height: 30vh;
    background: rgb(78,150,194);
    background: linear-gradient(17deg, rgba(78,150,194,1) 17%, rgba(51,219,224,1) 66%, rgba(83,168,195,0.8688068977591037) 100%);
    color: var(--light-theme-bg-color);
}
/*=== End about us page styling===*/


